Bug 488051 - Fedora 11 Alpha Anaconda Installer Hangs during installation
Fedora 11 Alpha Anaconda Installer Hangs during installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 06:14 EST by Doron Carmeli Shrim
Modified: 2010-06-28 07:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:22:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda log (26.81 KB, text/plain)
2009-03-03 02:35 EST, Doron Carmeli Shrim
no flags Details
Syslog (63.38 KB, text/plain)
2009-03-03 02:36 EST, Doron Carmeli Shrim
no flags Details

  None (edit)
Description Doron Carmeli Shrim 2009-03-02 06:14:31 EST
Description of problem:
Fedora 11 Alpha Anaconda Installer (Graphic) hangs during packages installation 
Procedure was repeated numerouse times - installer hangs on different packages 
(not in one specific location )
Important - Installer was started with btrfs support and most filesystems were set as btrfs .

Version-Release number of selected component (if applicable):


How reproducible:
Place installation DVD in host and boot 
Provide the icantbelieveitsnotbtr option for the boot image to enable installer support for btrfs 

Create the following disk layout 

'Disk is 72GB in size 

/boot = /dev/sda1 (or /dev/cciss/c0d0p1) 

All the rest is one VG named Volume00 formated and sized as follows :

MP , Volname / device  , Size(mb) , fs
/boot,/dev/sda1 (cciss/c0d0p1), 200 , ext3
/  , LogVol00 , 2048 , btrfs
/usr,LogVol01 , 6114 , btrfs
/var,LogVol02 , 2048 , btrfs
/tmp,LogVol03 , 1048, btrfs
/opt,LogVol04 , 2048 , btrfs
/home,LogVol05,1024,btrfs
swap,LogVol06,2048,swapfs
/software/oracle,LogVol07,8192,btrfs
/oracle_db/db1,LogVol08,16384,btrfs
/backup/ora_exp,LogVol09,1024,btrfs
/kits,LogVol10,2560,btrfs
/starhome,LogVol11,10240,btrfs
/software,LogVol12,4096,btrfs
/oracle_db,LogVol13,32,ext3
/backup,Backup,32,ext3


Steps to Reproduce:
1. Start installer with btrfs support
2. Create the above disk layout
3. Select all defaults - n 
  
Actual results:
installation will hang durring various package installatio

Expected results:
Installation will succeed 

Additional info:
I will provide whichever info you want
Comment 1 Chris Lumens 2009-03-02 09:26:38 EST
When it hangs, can you switch to tty2, grab /tmp/anaconda.log and /tmp/syslog, and attach them to this bug report?  Also, are there any error messages on tty1 or tty4?
Comment 2 Doron Carmeli Shrim 2009-03-03 02:35:49 EST
Created attachment 333845 [details]
Anaconda log 

Files u requested
Comment 3 Doron Carmeli Shrim 2009-03-03 02:36:53 EST
Created attachment 333846 [details]
Syslog 

Also - requested
Comment 4 Doron Carmeli Shrim 2009-03-03 02:38:29 EST
(In reply to comment #1)
> When it hangs, can you switch to tty2, grab /tmp/anaconda.log and /tmp/syslog,
> and attach them to this bug report?  Also, are there any error messages on tty1
> or tty4?

Files attached - The only messages on tty1 are "Freeng locks for locker 0x23: 1763/3086415552 "
Comment 5 Doron Carmeli Shrim 2009-03-03 02:49:37 EST
Anaconda Version 11.5.0.12
Comment 6 Chris Lumens 2009-03-04 20:45:04 EST
I see a lot of btrfs-related error messages in your syslog.  anaconda has a hard  time dealing with these sorts of problems so it's entirely possible it would show up as a hang.
Comment 7 Doron Carmeli Shrim 2009-03-05 03:01:33 EST
So are you saying  btrfs is ! 2 b used ... || 2 b used partialy ...
What r u saying ?
Comment 8 Bug Zapper 2009-06-09 07:47:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-04-27 09:05:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:22:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.